Package biotransformer.utils

## Class MetaboliteFinder

- java.lang.Object
- - biotransformer.utils.MetaboliteFinder

    public class MetaboliteFinder
    extends java.lang.Object

### Nested Class Summary

Nested Classes
`static class` `MetaboliteFinder.FinderOption`

### Field Summary

Fields
`EnvMicroBTransformer` `ebt`
`HumanSuperBioTransformer` `hsbt`
`org.openscience.cdk.inchi.InChIGeneratorFactory` `inchiGenFactory`

### Constructor Summary

Constructors
`MetaboliteFinder()`

### Method Summary

All Methods Instance Methods Concrete Methods
`boolean` `compoundsHasToleratedMass​(org.openscience.cdk.interfaces.IAtomContainer atc, java.util.ArrayList<java.lang.Double> masses, double tolerance)`
`org.openscience.cdk.interfaces.IAtomContainerSet` `findAllEnvMicroMetabolites​(org.openscience.cdk.interfaces.IAtomContainer startingCompound, java.util.ArrayList<java.lang.String> mass_formulas, double massTolerance, int nrOfSteps, boolean annotate, MetaboliteFinder.FinderOption opt)`
`void` `findAllEnvMicroMetabolites​(org.openscience.cdk.interfaces.IAtomContainer startingCompound, java.util.ArrayList<java.lang.String> mass_formulas, double massTolerance, int nrOfSteps, boolean annotate, java.lang.String outputFileName, MetaboliteFinder.FinderOption opt)`
`void` `findAllEnvMicroMetabolitesToCSV​(org.openscience.cdk.interfaces.IAtomContainer startingCompound, java.util.ArrayList<java.lang.String> mass_formulas, double massTolerance, int nrOfSteps, boolean annotate, java.lang.String outputFileName, MetaboliteFinder.FinderOption opt)`
`org.openscience.cdk.interfaces.IAtomContainerSet` `findAllHumanMetabolites​(org.openscience.cdk.interfaces.IAtomContainer startingCompound, java.util.ArrayList<java.lang.String> mass_formulas, double massTolerance, int nrOfSteps, boolean annotate, MetaboliteFinder.FinderOption opt)`
`void` `findAllHumanMetabolites​(org.openscience.cdk.interfaces.IAtomContainer startingCompound, java.util.ArrayList<java.lang.String> mass_formulas, double massTolerance, int nrOfSteps, boolean annotate, java.lang.String outputFileName, MetaboliteFinder.FinderOption opt)`
`void` `findAllHumanMetabolitesToCSV​(org.openscience.cdk.interfaces.IAtomContainer startingCompound, java.util.ArrayList<java.lang.String> mass_formulas, double massTolerance, int nrOfSteps, boolean annotate, java.lang.String outputFileName, MetaboliteFinder.FinderOption opt)`

`org.openscience.cdk.interfaces.IAtomContainer`

`findPathway​(org.openscience.cdk.interfaces.IAtomContainer startingCompound, org.openscience.cdk.interfaces.IAtomContainer leafCompound, java.util.LinkedHashMap<java.lang.String,​org.openscience.cdk.interfaces.IAtomContainerSet> compoundToParents, java.util.LinkedHashMap<java.lang.String,​org.openscience.cdk.interfaces.IAtomContainer> inchikeyToContainers, boolean annotate)`

`org.openscience.cdk.interfaces.IAtomContainerSet` `findSuperbioMetabolites​(org.openscience.cdk.interfaces.IAtomContainer startingCompound, java.util.ArrayList<java.lang.String> mass_formulas, double massTolerance, boolean annotate, MetaboliteFinder.FinderOption opt)`
`void` `findSuperbioMetabolites​(org.openscience.cdk.interfaces.IAtomContainer startingCompound, java.util.ArrayList<java.lang.String> mass_formulas, double massTolerance, boolean annotate, java.lang.String outputFileName, MetaboliteFinder.FinderOption opt)`
`void` `findSuperbioMetabolitesToCSV​(org.openscience.cdk.interfaces.IAtomContainer startingCompound, java.util.ArrayList<java.lang.String> mass_formulas, double massTolerance, boolean annotate, java.lang.String outputFileName, MetaboliteFinder.FinderOption opt)`

### Methods inherited from class java.lang.Object

`equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Field Detail

#### hsbt

    public HumanSuperBioTransformer hsbt

#### ebt

    public EnvMicroBTransformer ebt

#### inchiGenFactory

    public org.openscience.cdk.inchi.InChIGeneratorFactory inchiGenFactory

### Constructor Detail

#### MetaboliteFinder

    public MetaboliteFinder()
                     throws java.io.IOException,
                            org.json.simple.parser.ParseException,
                            org.openscience.cdk.exception.CDKException

Throws:
  `java.io.IOException`
  `org.json.simple.parser.ParseException`
  `org.openscience.cdk.exception.CDKException`

### Method Detail

#### findAllHumanMetabolites

    public void findAllHumanMetabolites​(org.openscience.cdk.interfaces.IAtomContainer startingCompound,
                                        java.util.ArrayList<java.lang.String> mass_formulas,
                                        double massTolerance,
                                        int nrOfSteps,
                                        boolean annotate,
                                        java.lang.String outputFileName,
                                        MetaboliteFinder.FinderOption opt)
                                 throws java.lang.Exception

Throws:
  `java.lang.Exception`

#### findAllHumanMetabolitesToCSV

    public void findAllHumanMetabolitesToCSV​(org.openscience.cdk.interfaces.IAtomContainer startingCompound,
                                             java.util.ArrayList<java.lang.String> mass_formulas,
                                             double massTolerance,
                                             int nrOfSteps,
                                             boolean annotate,
                                             java.lang.String outputFileName,
                                             MetaboliteFinder.FinderOption opt)
                                      throws java.lang.Exception

Throws:
  `java.lang.Exception`

#### findAllHumanMetabolites

    public org.openscience.cdk.interfaces.IAtomContainerSet findAllHumanMetabolites​(org.openscience.cdk.interfaces.IAtomContainer startingCompound,
                                                                                    java.util.ArrayList<java.lang.String> mass_formulas,
                                                                                    double massTolerance,
                                                                                    int nrOfSteps,
                                                                                    boolean annotate,
                                                                                    MetaboliteFinder.FinderOption opt)
                                                                             throws java.lang.Exception

Throws:
  `java.lang.Exception`

#### findSuperbioMetabolites

    public void findSuperbioMetabolites​(org.openscience.cdk.interfaces.IAtomContainer startingCompound,
                                        java.util.ArrayList<java.lang.String> mass_formulas,
                                        double massTolerance,
                                        boolean annotate,
                                        java.lang.String outputFileName,
                                        MetaboliteFinder.FinderOption opt)
                                 throws java.lang.Exception

Throws:
  `java.lang.Exception`

#### findSuperbioMetabolitesToCSV

    public void findSuperbioMetabolitesToCSV​(org.openscience.cdk.interfaces.IAtomContainer startingCompound,
                                             java.util.ArrayList<java.lang.String> mass_formulas,
                                             double massTolerance,
                                             boolean annotate,
                                             java.lang.String outputFileName,
                                             MetaboliteFinder.FinderOption opt)
                                      throws java.lang.Exception

Throws:
  `java.lang.Exception`

#### findSuperbioMetabolites

    public org.openscience.cdk.interfaces.IAtomContainerSet findSuperbioMetabolites​(org.openscience.cdk.interfaces.IAtomContainer startingCompound,
                                                                                    java.util.ArrayList<java.lang.String> mass_formulas,
                                                                                    double massTolerance,
                                                                                    boolean annotate,
                                                                                    MetaboliteFinder.FinderOption opt)
                                                                             throws java.lang.Exception

Throws:
  `java.lang.Exception`

#### findAllEnvMicroMetabolites

    public void findAllEnvMicroMetabolites​(org.openscience.cdk.interfaces.IAtomContainer startingCompound,
                                           java.util.ArrayList<java.lang.String> mass_formulas,
                                           double massTolerance,
                                           int nrOfSteps,
                                           boolean annotate,
                                           java.lang.String outputFileName,
                                           MetaboliteFinder.FinderOption opt)
                                    throws java.lang.Exception

Throws:
  `java.lang.Exception`

#### findAllEnvMicroMetabolitesToCSV

    public void findAllEnvMicroMetabolitesToCSV​(org.openscience.cdk.interfaces.IAtomContainer startingCompound,
                                                java.util.ArrayList<java.lang.String> mass_formulas,
                                                double massTolerance,
                                                int nrOfSteps,
                                                boolean annotate,
                                                java.lang.String outputFileName,
                                                MetaboliteFinder.FinderOption opt)
                                         throws java.lang.Exception

Throws:
  `java.lang.Exception`

#### findAllEnvMicroMetabolites

    public org.openscience.cdk.interfaces.IAtomContainerSet findAllEnvMicroMetabolites​(org.openscience.cdk.interfaces.IAtomContainer startingCompound,
                                                                                       java.util.ArrayList<java.lang.String> mass_formulas,
                                                                                       double massTolerance,
                                                                                       int nrOfSteps,
                                                                                       boolean annotate,
                                                                                       MetaboliteFinder.FinderOption opt)
                                                                                throws java.lang.Exception

Throws:
  `java.lang.Exception`

#### findPathway

    public org.openscience.cdk.interfaces.IAtomContainer findPathway​(org.openscience.cdk.interfaces.IAtomContainer startingCompound,
                                                                     org.openscience.cdk.interfaces.IAtomContainer leafCompound,
                                                                     java.util.LinkedHashMap<java.lang.String,​org.openscience.cdk.interfaces.IAtomContainerSet> compoundToParents,
                                                                     java.util.LinkedHashMap<java.lang.String,​org.openscience.cdk.interfaces.IAtomContainer> inchikeyToContainers,
                                                                     boolean annotate)
                                                              throws java.lang.CloneNotSupportedException,
                                                                     org.openscience.cdk.exception.CDKException

Throws:
  `java.lang.CloneNotSupportedException`
  `org.openscience.cdk.exception.CDKException`

#### compoundsHasToleratedMass

    public boolean compoundsHasToleratedMass​(org.openscience.cdk.interfaces.IAtomContainer atc,
                                             java.util.ArrayList<java.lang.Double> masses,
                                             double tolerance)